Skip to main content
GET
/
api
/
subscriptions
/
plans
Listar planos
curl --request GET \
  --url https://alpa-sistema-api.onrender.com/api/subscriptions/plans \
  --header 'API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Plano Mensal",
      "description": "<string>",
      "amountCents": 9900,
      "interval": "MONTHLY",
      "trialDays": 7,
      "maxSubscribers": 123,
      "active": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 100,
    "totalPages": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.usealpa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

Chave de API obtida através do endpoint /api/credentials. Também aceita formato Bearer Token: Authorization: Bearer <api_key>

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Lista de planos retornada com sucesso

success
boolean
Example:

true

data
object[]
meta
object